import { Module } from 'vuex';
// 此处加上 `.ts` 后缀报错，具体原因不详
import { ZdyConfigState, RootStateTypes } from '/@/store/interface/index';
import { Session, Local } from '/@/utils/storage';


/**
 * 2020.05.28 by lyt 优化
 * 修改一下配置时，需要每次都清理 `window.localStorage` 浏览器永久缓存，配置才会生效
 * 哪个大佬有解决办法，欢迎pr，感谢💕！
 */
const zdyConfigModule: Module<ZdyConfigState, RootStateTypes> = {
	namespaced: true,
	state: {
		zdyConfig:{
			fontSize:20
		},
		locale: Session.get('st_locale') || 'zh-cn'
	},
	mutations: {
		//获取自定义字体大小
		getZdyConfig(state:any,data:object){
			state.zdyConfig=data
		},
		// 设置系统语言
		SET_SYSTEM_LOCALE(state: any, lang: string) {
			state.locale = lang;
			Session.set('st_locale', lang);
		}
	},
	actions: {
		//设置字体大小
		setZdyConfig({commit},data:object){
			commit('getZdyConfig', data);
		}

	},
};

export default zdyConfigModule;
